/*
 *   This file is a part of the SteamWar software.
 *
 *   Copyright (C) 2025 SteamWar.de-Serverteam
 *
 *   This program is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU Affero General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 *   GNU Affero General Public License for more details.
 *
 *   You should have received a copy of the GNU Affero General Public License
 *   along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

package de.steamwar.bausystem.features.testblock.blockcounter;

import de.steamwar.bausystem.BauSystem;
import de.steamwar.command.SWCommand;
import de.steamwar.linkage.Linked;
import org.bukkit.entity.Player;

@Linked
public class BlockCounterCommand extends SWCommand {

    public BlockCounterCommand() {
        super("blockcounter", "blockcount", "bcounter", "bcount");
    }

    @Register(description = "BLOCK_COUNTER_HELP_TOGGLE")
    public void defaultCommand(Player p) {
        if (BlockCounter.isActive(p)) {
            disableCommand(p);
        } else {
            enableCommand(p);
        }
    }

    @Register(value = "enable", description = "BLOCK_COUNTER_HELP_ENABLE")
    public void enableCommand(Player p) {
        BlockCounter.enable(p);
        BauSystem.MESSAGE.send("BLOCK_COUNTER_ENABLE", p);
    }

    @Register(value = "disable", description = "BLOCK_COUNTER_HELP_DISABLE")
    public void disableCommand(Player p) {
        BlockCounter.disable(p);
        BauSystem.MESSAGE.send("BLOCK_COUNTER_DISABLE", p);
    }
}
